Package org.opensaml.spring.credential

# Class AbstractCredentialFactoryBean<T extends Credential>

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<T>
org.opensaml.spring.credential.AbstractCredentialFactoryBean<T>

Type Parameters:
  `T` - the type of credential to create.

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<T>`, `InitializingBean`

Direct Known Subclasses:
  `AbstractBasicCredentialFactoryBean`, `AbstractX509CredentialFactoryBean`

public abstract class AbstractCredentialFactoryBean<T extends Credential> extends AbstractComponentAwareFactoryBean<T>
A factory bean to accumulate the information pertaining to an `AbstractCredential`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`configDescription`
For logging: The description of the source of the configuration.
`private String`
`entityID`
Identifier for the owner of the credential.
`private List<String>`
`keyNames`
Names for the key represented by the credential.
`private char[]`
`privateKeyPassword`
The privateKey Password (if any).
`private String`
`usageType`
Usage type of the credential.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractCredentialFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConfigDescription()`
For logging, get the description of the resource that defined this bean.
`String`
`getEntityID()`
Get the entity ID of the credential.
`List<String>`
`getKeyNames()`
Gets the names for the key represented by the credential.
`char[]`
`getPrivateKeyPassword()`
Get the password for the private key.
`String`
`getUsageType()`
Gets the usage type of the credential.
`void`
`setConfigDescription(String desc)`
For logging, set the description of the resource that defined this bean.
`void`
`setEntityID(String newEntityID)`
Set the entity ID of the credential.
`void`
`setKeyNames(List<String> names)`
Sets the names for the key represented by the credential.
`void`
`setPrivateKeyPassword(char[] password)`
Set the password for the private key.
`void`
`setUsageType(String type)`
Sets the usage type of the credential.

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, doCreateInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, getObjectType, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### usageType

@Nullable private String usageType
Usage type of the credential.

### keyNames

@Nullable private List<String> keyNames
Names for the key represented by the credential.

### entityID

@Nullable private String entityID
Identifier for the owner of the credential.

### privateKeyPassword

@Nullable private char[] privateKeyPassword
The privateKey Password (if any).

### configDescription

@Nullable private String configDescription
For logging: The description of the source of the configuration.

## Constructor Details

### AbstractCredentialFactoryBean

public AbstractCredentialFactoryBean()

## Method Details

### getKeyNames

@Nullable public List<String> getKeyNames()
Gets the names for the key represented by the credential.

Returns:
  names for the key represented by the credential

### getUsageType

@Nullable public String getUsageType()
Gets the usage type of the credential.

Returns:
  usage type of the credential

### getEntityID

@Nullable public String getEntityID()
Get the entity ID of the credential.

Returns:
  the entity ID

### setKeyNames

public void setKeyNames(@Nullable List<String> names)
Sets the names for the key represented by the credential.

Parameters:
  `names` - names for the key represented by the credential

### setUsageType

public void setUsageType(@Nullable String type)
Sets the usage type of the credential.

Parameters:
  `type` - usage type of the credential

### setEntityID

public void setEntityID(@Nullable String newEntityID)
Set the entity ID of the credential.

Parameters:
  `newEntityID` - the entity ID

### getPrivateKeyPassword

@Nullable public char[] getPrivateKeyPassword()
Get the password for the private key.

Returns:
  Returns the privateKeyPassword.

### setPrivateKeyPassword

public void setPrivateKeyPassword(@Nullable char[] password)
Set the password for the private key.

Parameters:
  `password` - The password to set.

### getConfigDescription

@Nullable public String getConfigDescription()
For logging, get the description of the resource that defined this bean.

Returns:
  Returns the description.

### setConfigDescription

public void setConfigDescription(@Nullable String desc)
For logging, set the description of the resource that defined this bean.

Parameters:
  `desc` - what to set.